#
# spec file for package gama
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gama
Version:        1.22
Release:        lp152.3.9
Summary:        Adjustment of geodetic networks
License:        GPL-3.0+
Group:          Productivity/Scientific/Other
Url:            http://www.gnu.org/software/gama/
# git: http://git.savannah.gnu.org/cgit/gama.git
Source:         http://ftp.gnu.org/pub/gnu/%{name}/%{name}-%{version}.tar.gz
Source2:        http://ftp.gnu.org/pub/gnu/%{name}/%{name}-%{version}.tar.gz.sig
Source3:        http://savannah.gnu.org/project/memberlist-gpgkeys.php?group=%{name}&download=1#/%{name}.keyring
BuildRequires:  gcc-c++
BuildRequires:  libxml2-tools
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(expat) >= 1.1
BuildRequires:  pkgconfig(sqlite3)
# for xmllint
Requires:       libxml2-tools
Requires(post): %{install_info_prereq}
Requires(preun): %{install_info_prereq}

%description
GNU Gama is a project dedicated to adjustment of geodetic networks. It is intended for use with traditional geodetic surveyings which are still used and needed in special measurements (e.g., underground or high precision engineering measurements) where the Global Positioning System (GPS) cannot be used.

Adjustment in local Cartesian coordinate systems is fully supported by a command-line program gama-local that adjusts geodetic (free) networks of observed distances, directions, angles, height differences, 3D vectors and observed coordinates (coordinates with given variance-covariance matrix). Adjustment in global coordinate systems is supported only partly as a gama-g3 program.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install

%post
%install_info --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%preun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%files
%doc ChangeLog* README COPYING NEWS TODO AUTHORS
%{_bindir}/%{name}-*
%{_infodir}/%{name}.info%{ext_info}

%changelog
* Fri Mar 30 2018 astieger@suse.com
- update to 1.22:
  * code clean-up and various developer visible changes
* Wed Nov 15 2017 astieger@suse.com
- update to 1.20:
  * New test suite for matvec classes and support for valgrind
    memory leak tests for tests/matvec and tests/gama-local.
  * This release is a preperation phase for the next release in
    which the base matvec memory handling class (MemRep) will
    reimplemented with C++11 move constructor and move assignemnt
    operator.
* Mon Sep 18 2017 astieger@suse.com
- update to 1.19:
  Fix implicit value of covariance band in XML adjustment output
  being -1 (full bandwidth)
* Thu Jan 19 2017 astieger@suse.com
- update to 1.18:
  * fixed a formatting bug in outlaying terms (due to c++11)
  * fixed a bug in HTML parser test
  * simplified class LocalPoint
  * fixed a bug in sql export
  * added @documentencoding UTF-8 into gama.texi
* Mon Nov  9 2015 astieger@suse.com
- update to 1.17:
  * minor fixes in documentation
  * fixed a bug in SQL schema
  * new export of XML network definition
  * C++11 features enabled (-std=c++11 for g++ compiler)
  * fixed several minor bugs
* Sat Aug 22 2015 astieger@suse.com
- initial package
